-- initGlobals
--   Called by startMovie handler in every movie.
on initGlobals
  lMarkerScripts = ["main": [#default: movieRoot()]]
  (script "SpriteMgr").instance().setMarkerScripts( lMarkerScripts[ movieRoot() ] )
  
  lButtonStates = [#plStateChangeArgs: [#setMemberIndex: [#REST: 0, #ROLL: 0, #DEPRESSED: 1, #DISABLED: 0]]]
  (script "ButtonWrapper").  initClassVariables( lButtonStates ) 
end initGlobals


-- killGlobals
--   Called by stopMovie.  Kills static variables.
on killGlobals
  repeat with sScript in ["FramePrep", "MovieIdle", "Nav", "SpriteMgr", "Trap"]
    if (memberExists( sScript )) then (script sScript).kill()
  end repeat
end killGlobals