-- Lab:


property ancestor      -- rectangular background
property poCharge1
property poCharge2
property poTestCharge
property poTotalVector
property poPolarityBtn


on new me, nSpr, lParams
  if (NOT lParams[ #oSelf ].objectP) then lParams[ #oSelf ] = me
  
  ancestor      = (script "SpriteObj").        new( nSpr,      lParams )
  
  poCharge1     = (script "Charge").           new( nSpr +  1, [:] )
  poCharge2     = (script "Charge").           new( nSpr +  5, [:] )
  
  oView         = (script "SpriteObj").        new( nSpr + 18, [#xCursor: #hand] )
  poTestCharge  = (script "DownButtonWrapper").new( [#oView: oView, #lAction: [#symOp: #dragTestCharge], #xStateChangeArg: 0] )
  
  poTotalVector = (script "TotalVector").      new( nSpr + 19, [:] )
  
  oView         = (script "SpriteObj").        new( nSpr + 22, [#xCursor: #finger] )
  poPolarityBtn = (script "CheckboxWrapper").  new( [#oView: oView, #lAction: [#oObj: poCharge2, #symOp: #reversePolarity]] )
  
  me.makeSupplierList()
  return me
end new


on beginSprite me
  poCharge1.setBeginSpriteAction( [#oObj: poCharge1, #symOp: #renderEffectOn, #xArg1: poTestCharge] )
  poCharge2.setBeginSpriteAction( [#oObj: poCharge2, #symOp: #renderEffectOn, #xArg1: poTestCharge] )
end beginSprite


on dragTestCharge me
  repeat while the mouseDown
    if (inside( the mouseLoc, me.rect() )) then
      me.updateTestCharge( the mouseLoc )
    end if
  end repeat
end dragTestCharge


on updateTestCharge me, ptChargeLoc
  if (ptChargeLoc.voidP) then ptChargeLoc = poTestCharge.op( #loc )  
  
  if (distance( ptChargeLoc, poCharge1.getCenter() ) > poCharge1.getFieldRadius()) then
    if (distance( ptChargeLoc, poCharge2.getCenter() ) > poCharge2.getFieldRadius()) then
      
      poTestCharge.op( #setLoc, ptChargeLoc )
      poCharge1.renderEffectOn( poTestCharge )
      poCharge2.renderEffectOn( poTestCharge )
      
      lParams = [#oVector1: poCharge1.getVector(), \
                 #oVector2: poCharge2.getVector(), \
                 #ptStart : ptChargeLoc            ]
      poTotalVector.add( lParams )
      updateStage
      
    end if
  end if
end updateTestCharge